org.apache.cassandra.concurrent

## Interface IExecutorMBean

- All Known Subinterfaces:
    JMXConfigurableThreadPoolExecutorMBean, JMXEnabledThreadPoolExecutorMBean
  All Known Implementing Classes:
    JMXConfigurableThreadPoolExecutor, JMXEnabledThreadPoolExecutor

  Deprecated.

      @Deprecated
      public interface IExecutorMBean

  See Also:
    `ThreadPoolMetrics`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActiveCount()` Deprecated. Get the current number of running tasks
    `long` | `getCompletedTasks()` Deprecated. Get the number of completed tasks
    `long` | `getPendingTasks()` Deprecated. Get the number of tasks waiting to be executed

- - ### Method Detail

    - #### getActiveCount

          int getActiveCount()

      Deprecated.
      Get the current number of running tasks

    - #### getCompletedTasks

          long getCompletedTasks()

      Deprecated.
      Get the number of completed tasks

    - #### getPendingTasks

          long getPendingTasks()

      Deprecated.
      Get the number of tasks waiting to be executed

Copyright © 2014 The Apache Software Foundation